## opencaster 3.2.2%2Bdfsg

=== tools/i13942ts/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include  -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)

OBJS = i13942ts.o
TARGET = i13942ts
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/pes2es/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = pes2es.o
TARGET = pes2es
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/txt2pes/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = txt2pes.o
TARGET = txt2pes
DESTDIR = /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== debian/changelog ===
opencaster (3.2.2+dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/watch: check for tgz and tar.gz now

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Nov 2013 18:00:00 +0200

opencaster (3.2.1+dfsg-2) unstable; urgency=low

  * add patches for kfreebsd-* and hurd-i386

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Oct 2013 18:00:00 +0200

opencaster (3.2.1+dfsg-1) unstable; urgency=low

  * new upstream version
  * no more opencaster-doc as those examples are not up to date

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Sep 2013 18:00:00 +0200

opencaster (3.2+dfsg-2) unstable; urgency=low

  * rename tool to resolve conflict with tstools (Closes: #723607)
    The renaming will be done as well by upstream in the next release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Sep 2013 18:00:00 +0200

opencaster (3.2+dfsg-1) unstable; urgency=low

  * initial release (Closes: #721449)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Sep 2013 18:00:00 +0200

## opencaster 3.2.2+dfsg

=== Makefile ===
SUBDIRS = libs tools 

subdirs:        $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@
.PHONY:		subdirs $(SUBDIRS)

all: subdirs

install: all
	@for T in $(SUBDIRS); do make -C $$T $@; done

clean:
	@for T in $(SUBDIRS); do make -C $$T $@; done

=== libs/Makefile ===
SUBDIRS = sectioncrc dvbobjects

subdirs:        $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@
.PHONY:		subdirs $(SUBDIRS)

all: subdirs

install: all
	@for T in $(SUBDIRS); do make -C $$T $@; done

clean:
	@for T in $(SUBDIRS); do make -C $$T $@; done

=== tools/Makefile ===
SUBDIRS = oc2sec sec2ts zpipe \
	tsfilter tsloop tsmodder tsnullfiller tsnullshaper \
	tspcrmeasure tspidmapper esaudio2pes esaudioinfo \
	esvideompeg2pes esvideompeg2info pes2es pesaudio2ts \
	pesvideo2ts pesinfo tsstamp \
	ts2pes mpe2sec tscbrmuxer mpeg2videovbv tstdt i13942ts \
	tsvbr2cbr tsfixcc tsudpreceive tsudpsend dsmcc-receive \
	tspcrstamp tstcpreceive tstcpsend tstimeout \
	tstimedwrite tsinputswitch tsdoubleoutput pes2txt \
	tsoutputswitch tsccc txt2pes ts2sec \
	pesdata2ts tsmask tsorts tsororts tspcrrestamp \
	eitsecfilter eitsecmapper m2ts2cbrts \
	ts2m2ts tsdiscont eitsecactualtoanother 

subdirs:        $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@
.PHONY:		subdirs $(SUBDIRS)

all: subdirs

install: all
	@for T in $(SUBDIRS); do make -C $$T $@; done

clean:
	@for T in $(SUBDIRS); do make -C $$T $@; done

=== libs/dvbobjects/Makefile ===

#DESTDIR ?= /usr/local/bin
#INSTHOME ?= /usr

all:
	./setup.py build

install: all
	./setup.py install --root=$(INSTHOME)
#install: all
#	./setup.py install 

clean:
	./setup.py clean
	rm -rf build/*

-include $(wildcard *.d) dummy

=== libs/sectioncrc/Makefile ===
C      = gcc
CFLAGS  = -g -MD -Wall -I. -I../../include 

OBJ = sectioncrc.o 

all: $(OBJ)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LFLAGS)

install: all

clean:
	rm -f $(OBJS) core* *~ *.d *.o

-include $(wildcard *.d) dummy

=== tools/dsmcc-receive/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc -lz

OBJS=	dsmcc-receive.o	\
	carousel.o	\
	module.o	\
	dsmcc.o		\
	biop.o		\
	filter.o	\
	fs.o		\
	table.o		\
	assoc.o		\
	util.o		

TARGET = dsmcc-receive
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/eitsecactualtoanother/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = eitsecactualtoanother.o
TARGET = eitsecactualtoanother
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/eitsecfilter/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = eitsecfilter.o
TARGET = eitsecfilter
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/eitsecmapper/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = eitsecmapper.o
TARGET = eitsecmapper
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/esaudio2pes/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = esaudio2pes.o
TARGET = esaudio2pes
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/esaudioinfo/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = esaudioinfo.o
TARGET = esaudioinfo
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== tools/esvideompeg2info/Makefile ===
C      = gcc
CFLAGS  += -g -MD -Wall -I. -I../../include -D_FILE_OFFSET_BITS=64 $(CPPFLAGS)
LDFLAGS  += -lc

OBJS = esvideompeg2info.o
TARGET = esvideompeg2info
DESTDIR ?= /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== debian/control ===
Source: opencaster
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 3.9.4
X-Python-Version: >= 2.4
Build-Depends: debhelper (>= 9), 
               python-all-dev, 
               python-support, 
               python-dateutil,
               zlib1g-dev,
               libdvbcsa-dev
Homepage: http://www.avalpa.com/the-key-values/15-free-software/33-opencaster
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/opencaster/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/opencaster/trunk/


Package: opencaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: opencaster-doc
Description: MPEG2 transport stream data generator and packet manipulator
 OpenCaster is a collection of tools for Linux system to play out and 
 multiplex MPEG2 transport stream format.
 .
 Use-cases:
  - MHP, MHEG5, HbbTv and others interactive tv standards object carousel 
    broadcast
  - Playout of locally stored, offline encoded audio and video for non-live 
    tv and radio stations
  - Multiplexing of input multicasted UDP transport stream to output 
    multicasted UDP transport stream
  - VOD system based on mpeg2 transport stream over IP or over DVB for 
    walled garden network like hotels with coax or ethernet.
  - DVB-SSU update
  - Data casting
  - IP encapsualtor
  - PSI/SI generator
  - EPG generator
 .
 OpenCaster output has been successfully integrated with a long list of 
 dvb products, among them there are products by Cisco/Scientific Atlanta, 
 Ericsson/Tandberg, Dektec, Eurotek, Harmonic/Scopus, MainConcept, Mitan, 
 Screen Service, Adtec, Wellav, Sr-Systems, Deltacast, ...
 Integration is tested and available on the Avalpa Broadcast Server
 .
 OpenCaster has been tested with Rohde & Schwarz DVM100L, Rohde & Schwarz 
 DVM 400, Dektec StreamXpert and a countless number of set top boxes, 
 digital receivers and flat panels
 .
  - PSI generation (PAT, PMT, NIT, SDT, TDT, AIT, TOT, ...)
  - EPG/EIT generation
  - Object and data carousel generation and receivement (MHP, MHEG5, HbbTv, 
    DVB-SSU, DSMCC, ...)
  - third party software AC-3, MPEG2 audio, MPEG2 video and H264 video 
    encoders support
  - Audio Description generation support
  - IP encapsulation (MPE)
  - CBR transport stream muxing
  - PCR stamping
  - Null packet replacement
  - PID filtering
  - PID remapping
  - Null packet insertion
  - Video buffer verifier
  - PCR timing verifier
  - PES headers analyzer
  - MPEG2 video and MPEG2/AC-3 audio ES header analyzer
  - M2TS file generation from TS file

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

#TOOLS:=oc2sec sec2ts zpipe tsfilter tsloop tsmodder tsnullfiller tsnullshaper tspcrmeasure tspidmapper esaudio2pes esaudioinfo esvideompeg2pes esvideompeg2info pes2es pesaudio2ts pesvideo2ts pesinfo tsstamp ts2pes mpe2sec tscbrmuxer mpeg2videovbv tstdt i13942ts tsvbr2cbr tsfixcc tsudpreceive tsudpsend dsmcc-receive tspcrstamp tstcpreceive tstcpsend tstimeout tstimedwrite tsinputswitch tsdoubleoutput pes2txt tsoutputswitch tsccc txt2pes ts2sec pesdata2ts tsmask tsorts tsororts tspcrrestamp tsprinter eitsecfilter eitsecmapper m2ts2cbrts ts2m2ts tsdiscont eitsecactualtoanother tscrypt

# oc2sec is handled differently
# mpeg2videovbv is just named vbv
TOOLS:=sec2ts zpipe tsfilter tsloop tsmodder tsnullfiller tsnullshaper tspcrmeasure tspidmapper esaudio2pes esaudioinfo esvideompeg2pes esvideompeg2info pes2es pesaudio2ts pesvideo2ts pesinfo tsstamp ts2pes mpe2sec tscbrmuxer tstdt i13942ts tsvbr2cbr tsfixcc tsudpreceive tsudpsend dsmcc-receive tspcrstamp tstcpreceive tstcpsend tstimeout tstimedwrite tsinputswitch tsdoubleoutput pes2txt tsoutputswitch tsccc txt2pes ts2sec pesdata2ts tsmask tsorts tsororts tspcrrestamp eitsecfilter eitsecmapper m2ts2cbrts ts2m2ts tsdiscont eitsecactualtoanother tscrypt


%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/opencaster/usr/bin
	
	for TOOL in $(TOOLS); do \
	   echo "process $$TOOL"; \
	   cp tools/$$TOOL/$$TOOL debian/opencaster/usr/bin; \
	   rm debian/opencaster/$$TOOL; \
        done

	rm debian/opencaster/mod2sec.py
	rm debian/opencaster/file2mod.py
	rm debian/opencaster/oc-update.sh
	cp tools/oc2sec/mod2sec.py debian/opencaster/usr/bin/mod2sec
	cp tools/oc2sec/file2mod.py debian/opencaster/usr/bin/file2mod
	cp tools/oc2sec/oc-update.sh debian/opencaster/usr/bin/oc-update
	# don't forget this little tool
	cp tools/mpeg2videovbv/vbv debian/opencaster/usr/bin/vbv
	rm -f debian/opencaster/vbv

	#no more docs: mkdir -p debian/opencaster-doc/usr/share/doc/opencaster-doc
	#no more docs: cp -a tutorials debian/opencaster-doc/usr/share/doc/opencaster-doc

get-orig-source:
	./debian/get-orig-source
